Not sure what you're copying, but if the problem is just pasting to a block (attribute "LEN"), then try this
(defun c:ptv (/ reb mrk fm len)
(setq fm "%lu2%pr0")
(setq reb (vla-get-objectid (vlax-ename->vla-object (car (nentsel "\nSelect the Rebar: ")))))
(setq reb (strcat "%<\\AcObjProp Object(%<\\_ObjId "(itoa reb)">%).Length \\f " fm ">%"))
(setq len "LEN")
(setq reb (list (cons len reb)))
;; These two lines let the client select a subentity (nentsel).
;;(setq mrk (entget (car (nentsel "\nPick the Mark: "))))
;; This second line then searches for the parent (of the attribute)
;;(setq mrk (vlax-ename->vla-object (cdr (assoc 330 mrk))))
;; instead this line lets the user select the block itself (entsel) instead of (nentsel)
(setq mrk (vlax-ename->vla-object (car (entsel "\nPick the Mark: "))))
(LM:setattributevalues mrk reb)
(command "regen")
) ;defun
(defun LM:setattributevalues ( blk lst / itm )
(foreach att (vlax-invoke blk 'getattributes)
(if (setq itm (assoc (vla-get-tagstring att) lst))
(vla-put-textstring att (cdr itm))
)
)
)